############################################################################
# Copyright (C) 2019 by gempa GmbH                                         #
#                                                                          #
# All Rights Reserved.                                                     #
#                                                                          #
# NOTICE: All information contained herein is, and remains                 #
# the property of gempa GmbH and its suppliers, if any. The intellectual   #
# and technical concepts contained herein are proprietary to gempa GmbH    #
# and its suppliers.                                                       #
# Dissemination of this information or reproduction of this material       #
# is strictly forbidden unless prior written permission is obtained        #
# from gempa GmbH.                                                         #
#                                                                          #
#  Author: Enrico Ellguth, Ralph Henneberger                               #
#  Email: enrico.ellguth@gempa.de, ralix@gempa.de                          #


def getLogPrefix(logType):
    return f"{logType: <12} : "


def log(logType, msg):
    print(f"{logType: <12} : {msg}")


def logNotice(msg):
    log("NOTICE", msg)


def logClean(msg):
    log("CLEAN", msg)


def logError(msg):
    log("ERROR", msg)


def logFailed(msg):
    log("FAILED", msg)


def logCheck(msg):
    log("CHECK", msg)


def logAccess(msg):
    log("CHECK ACCESS", msg)


def logChecksum(msg):
    log("CHECKSUM", msg)


def logSkip(msg):
    log("SKIP", msg)


def logInstall(msg):
    log("INSTALL", msg)


def logWarning(msg):
    log("WARNING", msg)


def logGet(msg):
    log("GET", msg)


def logInfo(msg):
    log("INFO", msg)
